/* Magnetic hover base styles */
/*.et_pb_button,
.et_pb_social_icon,
#open-icon,
#close-icon,*/
[class*='wp-image-'],
[id^='menu-item-'] {
  transition: transform 0.25s ease-out;
  will-change: transform;
  display: inline-block;
  position: relative;
  cursor: pointer;
}

/* Hover scale effect */
/*.et_pb_button:hover,
.et_pb_social_icon:hover,
#open-icon:hover,
#close-icon:hover,*/
[class*="wp-image-"]:hover /*,
[id^="menu-item-"]:hover*/ {
  transform: scale(1.04);
}

/* Disable effect for specific elements */
.header-logo img:hover,
.no-magnetic:hover,
.no-magnetic *:hover {
  transform: none !important;
  transition: none !important;
}
